| GET | /RestApi/recycle-bin/items/{id} |
|---|
"use strict";
export class RecycelBinItemRequestBase {
/** @param {{Id?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
Id;
}
export class RecycleBinItemProxy {
/** @param {{Id?:string,ProviderName?:string,ItemTypeName?:string,DisplayTypeName?:string,DataItemId?:string,ItemTitle?:string,Status?:string,StatusText?:string,ItemLanguage?:string,OwnerName?:string,DateCreated?:string,ParentTypeName?:string,ParentTitlesPath?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
Id;
/** @type {string} */
ProviderName;
/** @type {string} */
ItemTypeName;
/** @type {string} */
DisplayTypeName;
/** @type {string} */
DataItemId;
/** @type {string} */
ItemTitle;
/** @type {string} */
Status;
/** @type {string} */
StatusText;
/** @type {string} */
ItemLanguage;
/** @type {string} */
OwnerName;
/** @type {string} */
DateCreated;
/** @type {string} */
ParentTypeName;
/** @type {string} */
ParentTitlesPath;
}
export class GetRecycleBinItem extends RecycelBinItemRequestBase {
/** @param {{Id?:string}} [init] */
constructor(init) { super(init); Object.assign(this, init) }
}
JavaScript GetRecycleBinItem DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items/{id} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
providerName: String,
itemTypeName: String,
displayTypeName: String,
itemTitle: String,
status: String,
statusText: String,
itemLanguage: String,
ownerName: String,
dateCreated: 0001-01-01,
parentTypeName: String,
parentTitlesPath: String
}